/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ArchiveHelper.java 2753 2008-04-02 09:22:42Z gaellalire $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.deployment.annotations.analyzer;

import java.net.URL;
import java.util.List;

import org.ow2.util.ee.deploy.api.archive.ArchiveException;
import org.ow2.util.ee.deploy.api.archive.IArchive;

/**
 * This interface is used by ArchiveScanner to fetch class name in an Archive and
 * transform a class name to an URL.
 * @author Gael Lalire
 */
public interface ArchiveHelper {

    /**
     * @param archive the archive
     * @return the list all class name inside archive
     * @throws ArchiveException if error occurs on archive
     */
    List<URL> listClassURL(IArchive archive) throws ArchiveException;

    /**
     * @param archive the archive
     * @param className the class name
     * @return the url of class named className
     * @throws ArchiveException if error occurs on archive
     */
    URL getClassURL(IArchive archive, String className) throws ArchiveException;

}
